package ws.example;

import javax.xml.rpc.ServiceException;


public class HelloWSServiceClientMain {

	public static void main(String[] args) throws Exception {
		new HelloWSServiceClientMain().testHello();
	}

	public void testHello() throws Exception {
		HelloWSSoapBindingStub binding;
		try {
			binding = (HelloWSSoapBindingStub) new HelloWSServiceLocator()
					.getHelloWS();
		} catch (ServiceException jre) {
			if (jre.getLinkedCause() != null)
				jre.getLinkedCause().printStackTrace();
			throw new Exception("JAX-RPC ServiceException caught: " + jre);
		}
		//        assertNotNull("binding is null", binding);

		// Time out after a minute
		binding.setTimeout(60000);    

		// Test operation
		String value = null;
		value = binding.hello(10, "John", 5, "Male", "Single");
		System.out.println(value);
		// TBD - validate results
	}

}
