/*
 * Created on Dec 4, 2003
 *
 * Developed by OpenRules Inc. 2003
 * 
 * Updated on Aug-2006
 */

package hello;

import com.openrules.ruleengine.OpenRulesEngine;


/**
 * A simple Java test for HelloXmlCustomer.xls
 * 
 * @author jf
 */

public class RunHelloXmlCustomer
{
	public static void main(String[] args)
	{
		String fileName = "file:rules/main/HelloXmlCustomer.xls";
		String methodName = "helloCustomer";
		OpenRulesEngine engine =	new OpenRulesEngine(fileName,methodName);
		System.out.println(
		"\n========================================================\n" +
		   fileName + "(" + methodName + ")" + 
		"\n========================================================\n");
		
		Response response = new Response();
		engine.run(new Object[] { response });
		System.out.println("Response: " + 
							response.getMap().get("greeting") + ", " +
							response.getMap().get("salutation") + 
							response.getMap().get("name") + "!"		 					
							);
	}

}
