/*
 * Copyright (C) OpenRules, Inc. 2005-2006
 */
package hello;

/**
 * @author JF  
 */

import com.openrules.ruleengine.OpenRulesEngine;

public class GreetingEngine {

	private OpenRulesEngine engine;

	public GreetingEngine() {
		String fileName = 
		"file:C:/Program Files/IBM/WebSphere/AppServer/profiles/AppSrv01/installedApps/4c83Node01Cell/HelloWebSphere_war.ear/HelloWebSphere.war/rules/HelloCustomer.xls";
//		"file:../installedApps/4c83Node01Cell/HelloWebSphere_war.ear/HelloWebSphere.war/rules/HelloCustomer.xls";
		engine = new OpenRulesEngine(fileName);	
	}

	public String generateGreeting(Customer customer) {
		System.out.println("Run Engine for Customer: gender=" + customer.gender 
		        + " age=" + customer.age
				+ " Status=" + customer.maritalStatus);
		EngineResponse response = new EngineResponse();
		String methodName = "helloCustomer";
		Object[] objects = new Object[] { customer, response }; 
		engine.run(methodName,objects);

		String result = response.getMap().get("greeting") + ", "
				+ response.getMap().get("salutation") + " " + customer.getName()
				+ "!";
		System.out.println("Response: " + result);
		return result;
	}
	
	public static void main(String[] args)
	{
		GreetingEngine engine = new GreetingEngine();
		Customer customer = new Customer();
		customer.setName("Robinson");
		customer.setGender("Female");
		customer.setMaritalStatus("Married");
		engine.generateGreeting(customer);
	}
}