/*
 * Created on May 12, 2005
 *
 * Developed by OpenRules Inc. 2005
 */

package hello;

import com.openrules.ruleengine.OpenRulesEngine;


/**
 * A simple Java test for HelloXmlPeople.xls
 * 
 * @author jf
 */

public class RunHelloXmlPeople
{
	public static void main(String[] args)
	{
		String fileName = "classpath:/HelloXmlPeople.xls";
		String methodName = "helloPeople";
		if (args.length > 1)
		{
			fileName = args[0];
			methodName = args[1];
		}
		OpenRulesEngine engine = new OpenRulesEngine(fileName,methodName);
		System.out.println(
		"\n============================================\n" +
		   fileName + "(" + methodName + ")" + 
		"\n============================================\n");
		
		engine.run(new Object[] {});
		System.out.println("OK");
	}

}
