package com.openrules.jsr94.rules;

import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;
import java.util.Map;

import javax.rules.Handle;
import javax.rules.InvalidHandleException;
import javax.rules.InvalidRuleSessionException;
import javax.rules.ObjectFilter;
import javax.rules.RuleExecutionSetNotFoundException;
import javax.rules.StatefulRuleSession;

public class StatefulRuleSessionImpl extends ARuleSession implements
		StatefulRuleSession {

	public StatefulRuleSessionImpl(String bindUri, Map properties)
			throws RuleExecutionSetNotFoundException {
		super(bindUri, properties);
	}

	public boolean containsObject(Handle objectHandle) {
		return false;
	}

	public Handle addObject(Object object) throws InvalidRuleSessionException {
		throw new InvalidRuleSessionException("");
	}

	public List addObjects(List objList) throws InvalidRuleSessionException {
		List handles = new ArrayList();
		for (Iterator objectIter = objList.iterator(); objectIter.hasNext();) {
			handles.add(addObject(objectIter.next()));
		}
		return handles;
	}

	public void updateObject(Handle objectHandle, Object newObject)
			throws InvalidRuleSessionException, InvalidHandleException {
		throw new InvalidRuleSessionException("");
	}

	public void removeObject(Handle handleObject)
			throws InvalidRuleSessionException, InvalidHandleException {
		throw new InvalidRuleSessionException("");
	}

	public List getObjects() throws InvalidRuleSessionException {
		throw new InvalidRuleSessionException("");
	}

	public List getObjects(ObjectFilter filter)
			throws InvalidRuleSessionException {
		throw new InvalidRuleSessionException("");
	}

	public void executeRules() throws InvalidRuleSessionException {
		throw new InvalidRuleSessionException("");
	}

	public Object getObject(Handle handle) throws InvalidRuleSessionException,
			InvalidHandleException {
		throw new InvalidRuleSessionException("");
	}

	public List getHandles() {
		List result = new ArrayList();
		return result;
	}
}