package com.openrules.jsr94.rules.admin;

import java.util.HashMap;
import java.util.Map;

import javax.rules.admin.Rule;

public class RuleImpl implements Rule {
	private String name;

	private String description;

	private Map properties = new HashMap();

	public RuleImpl(String name, String description) {
		this.name = name;
		this.description = description;
	}

	public String getName() {
		return name;
	}

	public String getDescription() {
		return description;
	}

	public Object getProperty(Object key) {
		return properties.get(key);
	}

	public void setProperty(Object key, Object value) {
		properties.put(key, value);
	}
}